%define ver_major 1.4

Name: gucharmap
Version: %ver_major.1
Release: alt0.5

Summary: gucharmap is a featureful unicode character map
License: GPL
Group: Text tools

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define gtk_ver 2.4.0
%define gtk_binary_ver 2.2.0
%define libgnome_ver 2.6.0
%define libgnomeui_ver 2.6.0
%define gnome_common_ver 2.4.0

Requires: lib%name = %version-%release

BuildPreReq: libgtk2-devel >= %gtk_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: gnome-common >= %gnome_common_ver
BuildPreReq: menu-devel

# Automatically added by buildreq on Thu Apr 08 2004
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig scrollkeeper

%description
This package provides a featureful unicode character map for GNOME2.

%package -n lib%name
Summary: Shared library needed to run %name
Group: System/Libraries
License: LGPL
PreReq: libgtk+2 >= %gtk_ver
Requires: libgnome >= %libgnome_ver
Requires: libgnomeui >= %libgnomeui_ver

%description -n lib%name
This package provides shared library needed to run %name

%package -n lib%name-devel
Summary: Development files for lib%name
License: LGPL
Group: Development/C
Requires: lib%name = %version-%release
Requires: libgtk2-devel >= %gtk_ver
Requires: libgnomeui-devel >= %libgnomeui_ver
Requires: libgnome-devel >= %libgnome_ver

%description -n lib%name-devel
This package contains headers and libraries needed to compile
applications against lib%name

%prep
%setup -q

%build
%__rm -f missing
%__libtoolize --copy --force
%__aclocal -I %_datadir/aclocal/gnome2-macros
%__autoheader
%__automake -a -c -f
%__autoconf

%configure --disable-static
%make_build

%install
%makeinstall

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Applications/%group" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

# remove non-packaged files
%__rm -rf %buildroot/var

%find_lang --with-gnome %name

%post
%update_menus

%postun
%clean_menus

%post -n lib%name
%post_ldconfig

%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%_datadir/pixmaps/*
%_menudir/*
%doc ChangeLog README TODO

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%changelog
* Thu Apr 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.4.1-alt0.5
- 1.4.1

* Thu Mar 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.3.1-alt0.5
- 1.3.1

* Sun Dec 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.2.0-alt0.5
- 1.2.0
- do not package .la files.

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.5
- 1.0.0

* Fri Aug 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt0.5
- 0.9.0

* Wed Jun 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt0.5
- 0.8.0

* Sun May 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt0.5
- First build for Sisyphus.

